<?php
// CHAT POWERED : WAPs.KZ
// ICQ : 354741
// Email : KZsergeyKZ@rambler.ru
// WAPs.KZ CHAT Version 1.0
//include "../header1.php";
//include "../conf.php";
///include "../checkban.php";
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
echo "<title>{$cname}</title>";
echo "<link rel=\"shortcut icon\" href=\"http://sim-sim.h2m.ru/logo/icon.php\">";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div>Привилегии от чата</div>";
'<p align="left">';
$baks= $login['baks'];
$komu= $login['login'];
$baksk= $baks-$cenakrut;
$baksp= $baks-$cenapriz;
print  "У Вас  <b>$baks</b> тугриков<br/>";
print  '<b>Привилегии:</b><br/>
<b>Крутой</b> - Юзер с этой привилегией имеет возможность писить сообщения в чате круче админа!<br/>
<b>Призрак</b> - Юзер с этой привилегией может использовать невидимость!<br/>';
switch($modpriv) {
case 'paykrut':
if ($baks > $cenakrut)
{
@mysql_query("update `".$px.$utable."`  set baks='$baksk',`krutoj`=1  where `login`='$komu'");
$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине Привилегию крутой.";
mysql_query( "Insert into mess set login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
print "<b>$komu</b> <u>крутой</u>!";
}
else
{
print "Не достаточно тугриков!!";
}
break;
case 'paypriz':
if ($baks > $cenapriz)
{
@mysql_query("update `".$px.$utable."`  set baks='$baksp',`prizrak`=1  where `login`='$komu'");
$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине Привилегию призрака.";
mysql_query( "Insert into mess set login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
print "<b>$komu</b> <u>призрак</u>!";
}
else
{
print "Не достаточно тугриков!!";
}
break;
//////////////
case 'avator':
if ($baks > $cenaavator)
{
@mysql_query("update `".$px.$utable."`  set baks='$baksp',`avator`=100  where `login`='$komu'");
$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине Аваторы";
mysql_query( "Insert into mess set login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
print "<b>$komu</b> <u>Вам стали доступны Аваторы</u>!<a href=\"./avator.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Выбираем аватор</a>";
}
else
{
print "Не достаточно тугриков!!";
}
break;
/////////////
default:
print "<a href=\"./privelegii.php?id=$id&amp;pass=$pass&amp;modpriv=paykrut\">Крутой</a>=$cenakrut тугриков<br/>";
print "<a href=\"./privelegii.php?id=$id&amp;pass=$pass&amp;modpriv=paypriz\">Призрак</a>=$cenapriz тугриков<br/>";
///////
print "<a href=\"./privelegii.php?id=$id&amp;pass=$pass&amp;modpriv=avator\">Аватор</a>=$cenaavator тугриков<br/>";
////////
break;
}

print "<br/><div><a href=\"obmennik.php?id=$id&amp;pass=$pass&amp;\">Банкомат</a><br/><a href=\"../enter.php?id=$id&amp;pass=$pass&amp;\">Прихошка</a></div><br/>";
$end = gettime( );
echo "[".round( $end - $mystart, 5 )."]";echo "<div class=\"ab\"><b>&copy; KOT <a href=\"http://waufon.ru\">waufon.ru</a></b></div>";
echo "</body></html>";
mysql_close( $link );
echo "\r\n";
?>